Crear Usuario
curl --request POST \
--url https://api.plazbot.com/api/user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"password": "<string>",
"company": "<string>",
"defaultStartWeek": 0,
"isExternalCreation": true
}
'import requests
url = "https://api.plazbot.com/api/user"
payload = {
"name": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"password": "<string>",
"company": "<string>",
"defaultStartWeek": 0,
"isExternalCreation": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
password: '<string>',
company: '<string>',
defaultStartWeek: 0,
isExternalCreation: true
})
};
fetch('https://api.plazbot.com/api/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"userId": "<string>",
"email": "<string>"
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}User
Create User
Servicio para crear un nuevo usuario en la plataforma.
POST
/
api
/
user
Crear Usuario
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Body
application/json
Nombre del usuario
Apellido del usuario
Correo electronico del usuario
Contrasena del usuario
Codigo de la compania. Para Plazbot usar: 'plazbot'
Dia de inicio de semana (0=Domingo, 1=Lunes)
Indica si es una creacion externa del usuario
Response
Usuario creado exitosamente
⌘I

